package react.test.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import react.test.dao.UserDao;
import react.test.service.UserService;
import react.test.entity.User;

import java.util.List;

@Service
public class UserImplService implements UserService {
    @Autowired
    private UserDao userDao;

    @Override
    public List<User> selectAll(){
        return userDao.selectAll();
    }

    @Override
    public User fetch(Long id)
    {
        return userDao.fetch(id);
    }
}
