package react.test.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import react.test.entity.User;
import react.test.service.UserService;

import java.util.List;

@RestController
@RequestMapping("/user")
public class UserController {
    @Autowired
    private UserService userService;

    @GetMapping("/list")
    public List<User> selectAll(){
        List<User> users = userService.selectAll();
        return users;
    }
    @GetMapping(value = "/fetch/{id}")
    public User fetch(@PathVariable("id") Long id){
        return userService.fetch(id);
    }
//    @PostMapping("/add")
//    public List<User> add(){
//        List<User> result = userService.selectAll();
//        return result;
//    }
//    @GetMapping("/update")
//    public List<User> update(){
//        List<User> result = userService.selectAll();
//        return result;
//    }
//    @DeleteMapping("/{id}")
//    public List<User> delete(){
//        List<User> result = userService.selectAll();
//        return result;
//    }
}

