
package react.test.service;
import react.test.entity.Person;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public interface PersonService {

    public Person getPersonById(int id);

    public List<Person> getAllPersonByPage(Map params);

    public String addPerson(Person person);

    public String updatePerson(Person person);

    public String deletePerson(int id);

}

