package react.test.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import react.test.dao.PersonDao;
import react.test.service.PersonService;
import react.test.entity.Person;

import java.util.List;
import java.util.Map;

@Service
public class PersonImplService implements PersonService {

    @Autowired
    private PersonDao personDao;

    @Override
    public Person getPersonById(int id) {
        return personDao.getPersonById(id);
    }

    @Override
    public List<Person> getAllPersonByPage(Map params) {
        return personDao.getAllPersonByPage(params);
    }

    @Override
    public String addPerson(Person person) {
        return personDao.addPerson(person);
    }

    @Override
    public String updatePerson(Person person) {
        return personDao.updatePerson(person);
    }

    @Override
    public String deletePerson(int id) {
        return personDao.deletePerson(id);
    }
}
